psimi25InteractionEntry-class {RpsiXML} | R Documentation

## Class "psimi25InteractionEntry"

### Description

A class representing interaction data parsed from PSI-MI 2.5 XML files

### Objects from the Class

Objects can be created by calls of the form `parsePsimi25Interaction`

### Slots

`organismName`:
  Object of class `"character"`, the unique organism name(s) of the interactors
`taxId`:
  Object of class `"character"`, the unique NCBI taxonomy ID(s) of the interactors
`releaseDate`:
  Object of class `"character"`, character, release date of the data entry, recorded in the `entry` element of the XML file
`interactors`:
  Object of class `"matrix"`, interactor information in a matrix, Each row represents one interactor. Source IDs are used as row names. Each column represents one annotation. Annotations include: UniProt ID, short label, organism name, and NCBI taxonomy ID
`interactions`:
  Object of class `"list"`, list, a list of `psimi25Interaction-class` objects, each represents one interaction.

### Methods

interactions
  `signature(x = "psimi25InteractionEntry")`: return a list of `psimi25Intearaction` objects, each representing one interaction
interactors
  `signature(x = "psimi25InteractionEntry")`: a method to find all the interactors within the psimi25InteractionEntry and print them
organismName
  `signature(x = "psimi25InteractionEntry")`: returns organism names of the interactors
releaseDate
  `signature(x = "psimi25InteractionEntry")`: returns the release date, serving as a proxy for versioning
show
  `signature(object = "psimi25InteractionEntry")`: a print method
taxId
  `signature(x = "psimi25InteractionEntry")`: returns NCBI taxonomy ID

### Author(s)

Tony Chiang <tchiang@ebi.ac.uk> , Jitao David Zhang <j.zhang@dkfz.de>

### See Also

`parsePsimi25Interaction`, `S4classpsimi25Interaction-class`

### Examples

    showClass("psimi25InteractionEntry")

[Package RpsiXML version 1.0.0 Index]